Index: branches/WebJobManager/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisModel.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisModel.cs	(revision 13616)
+++ branches/WebJobManager/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisModel.cs	(revision 13656)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -33,7 +32,5 @@
   [StorableClass]
   public abstract class SymbolicDataAnalysisModel : NamedItem, ISymbolicDataAnalysisModel {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Function; }
-    }
+
 
     #region properties
@@ -47,5 +44,6 @@
     [Storable]
     private ISymbolicExpressionTree symbolicExpressionTree;
-    public ISymbolicExpressionTree SymbolicExpressionTree {
+    public ISymbolicExpressionTree SymbolicExpressionTree
+    {
       get { return symbolicExpressionTree; }
     }
@@ -53,5 +51,6 @@
     [Storable]
     private ISymbolicDataAnalysisExpressionTreeInterpreter interpreter;
-    public ISymbolicDataAnalysisExpressionTreeInterpreter Interpreter {
+    public ISymbolicDataAnalysisExpressionTreeInterpreter Interpreter
+    {
       get { return interpreter; }
     }
Index: branches/WebJobManager/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisProblem.cs	(revision 13616)
+++ branches/WebJobManager/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisProblem.cs	(revision 13656)
@@ -21,8 +21,6 @@
 
 using System;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -69,38 +67,50 @@
 
     #region parameter properties
-    IParameter IDataAnalysisProblem.ProblemDataParameter {
+    IParameter IDataAnalysisProblem.ProblemDataParameter
+    {
       get { return ProblemDataParameter; }
     }
-    public IValueParameter<T> ProblemDataParameter {
+    public IValueParameter<T> ProblemDataParameter
+    {
       get { return (IValueParameter<T>)Parameters[ProblemDataParameterName]; }
     }
-    public IValueParameter<ISymbolicDataAnalysisGrammar> SymbolicExpressionTreeGrammarParameter {
+    public IValueParameter<ISymbolicDataAnalysisGrammar> SymbolicExpressionTreeGrammarParameter
+    {
       get { return (IValueParameter<ISymbolicDataAnalysisGrammar>)Parameters[SymbolicExpressionTreeGrammarParameterName]; }
     }
-    public IValueParameter<ISymbolicDataAnalysisExpressionTreeInterpreter> SymbolicExpressionTreeInterpreterParameter {
+    public IValueParameter<ISymbolicDataAnalysisExpressionTreeInterpreter> SymbolicExpressionTreeInterpreterParameter
+    {
       get { return (IValueParameter<ISymbolicDataAnalysisExpressionTreeInterpreter>)Parameters[SymbolicExpressionTreeInterpreterParameterName]; }
     }
-    public IFixedValueParameter<IntValue> MaximumSymbolicExpressionTreeDepthParameter {
+    public IFixedValueParameter<IntValue> MaximumSymbolicExpressionTreeDepthParameter
+    {
       get { return (IFixedValueParameter<IntValue>)Parameters[MaximumSymbolicExpressionTreeDepthParameterName]; }
     }
-    public IFixedValueParameter<IntValue> MaximumSymbolicExpressionTreeLengthParameter {
+    public IFixedValueParameter<IntValue> MaximumSymbolicExpressionTreeLengthParameter
+    {
       get { return (IFixedValueParameter<IntValue>)Parameters[MaximumSymbolicExpressionTreeLengthParameterName]; }
     }
-    public IFixedValueParameter<IntValue> MaximumFunctionDefinitionsParameter {
+    public IFixedValueParameter<IntValue> MaximumFunctionDefinitionsParameter
+    {
       get { return (IFixedValueParameter<IntValue>)Parameters[MaximumFunctionDefinitionsParameterName]; }
     }
-    public IFixedValueParameter<IntValue> MaximumFunctionArgumentsParameter {
+    public IFixedValueParameter<IntValue> MaximumFunctionArgumentsParameter
+    {
       get { return (IFixedValueParameter<IntValue>)Parameters[MaximumFunctionArgumentsParameterName]; }
     }
-    public IFixedValueParameter<PercentValue> RelativeNumberOfEvaluatedSamplesParameter {
+    public IFixedValueParameter<PercentValue> RelativeNumberOfEvaluatedSamplesParameter
+    {
       get { return (IFixedValueParameter<PercentValue>)Parameters[RelativeNumberOfEvaluatedSamplesParameterName]; }
     }
-    public IFixedValueParameter<IntRange> FitnessCalculationPartitionParameter {
+    public IFixedValueParameter<IntRange> FitnessCalculationPartitionParameter
+    {
       get { return (IFixedValueParameter<IntRange>)Parameters[FitnessCalculationPartitionParameterName]; }
     }
-    public IFixedValueParameter<IntRange> ValidationPartitionParameter {
+    public IFixedValueParameter<IntRange> ValidationPartitionParameter
+    {
       get { return (IFixedValueParameter<IntRange>)Parameters[ValidationPartitionParameterName]; }
     }
-    public IFixedValueParameter<BoolValue> ApplyLinearScalingParameter {
+    public IFixedValueParameter<BoolValue> ApplyLinearScalingParameter
+    {
       get { return (IFixedValueParameter<BoolValue>)Parameters[ApplyLinearScalingParameterName]; }
     }
@@ -109,46 +119,58 @@
     #region properties
     public string Filename { get; set; }
-    public static new Image StaticItemImage { get { return VSImageLibrary.Type; } }
-
-    IDataAnalysisProblemData IDataAnalysisProblem.ProblemData {
+
+
+    IDataAnalysisProblemData IDataAnalysisProblem.ProblemData
+    {
       get { return ProblemData; }
     }
-    public T ProblemData {
+    public T ProblemData
+    {
       get { return ProblemDataParameter.Value; }
       set { ProblemDataParameter.Value = value; }
     }
 
-    public ISymbolicDataAnalysisGrammar SymbolicExpressionTreeGrammar {
+    public ISymbolicDataAnalysisGrammar SymbolicExpressionTreeGrammar
+    {
       get { return SymbolicExpressionTreeGrammarParameter.Value; }
       set { SymbolicExpressionTreeGrammarParameter.Value = value; }
     }
-    public ISymbolicDataAnalysisExpressionTreeInterpreter SymbolicExpressionTreeInterpreter {
+    public ISymbolicDataAnalysisExpressionTreeInterpreter SymbolicExpressionTreeInterpreter
+    {
       get { return SymbolicExpressionTreeInterpreterParameter.Value; }
       set { SymbolicExpressionTreeInterpreterParameter.Value = value; }
     }
 
-    public IntValue MaximumSymbolicExpressionTreeDepth {
+    public IntValue MaximumSymbolicExpressionTreeDepth
+    {
       get { return MaximumSymbolicExpressionTreeDepthParameter.Value; }
     }
-    public IntValue MaximumSymbolicExpressionTreeLength {
+    public IntValue MaximumSymbolicExpressionTreeLength
+    {
       get { return MaximumSymbolicExpressionTreeLengthParameter.Value; }
     }
-    public IntValue MaximumFunctionDefinitions {
+    public IntValue MaximumFunctionDefinitions
+    {
       get { return MaximumFunctionDefinitionsParameter.Value; }
     }
-    public IntValue MaximumFunctionArguments {
+    public IntValue MaximumFunctionArguments
+    {
       get { return MaximumFunctionArgumentsParameter.Value; }
     }
-    public PercentValue RelativeNumberOfEvaluatedSamples {
+    public PercentValue RelativeNumberOfEvaluatedSamples
+    {
       get { return RelativeNumberOfEvaluatedSamplesParameter.Value; }
     }
 
-    public IntRange FitnessCalculationPartition {
+    public IntRange FitnessCalculationPartition
+    {
       get { return FitnessCalculationPartitionParameter.Value; }
     }
-    public IntRange ValidationPartition {
+    public IntRange ValidationPartition
+    {
       get { return ValidationPartitionParameter.Value; }
     }
-    public BoolValue ApplyLinearScaling {
+    public BoolValue ApplyLinearScaling
+    {
       get { return ApplyLinearScalingParameter.Value; }
     }
